Summary:    Command line calendar that displays holidays and events
Name:       pal
Version:    0.4.3
Release:    3%{?dist}
License:    GPLv2+
Group:      Applications/Productivity
Url:        http://palcal.sourceforge.net
Source0:    http://downloads.sourceforge.net/palcal/pal-%{version}.tgz


BuildRequires: glib2-devel
BuildRequires: ncurses-devel
BuildRequires: readline-devel
BuildRequires: gettext

%description
Pal is command-line calendar program for Unix/Linux that can keep track of
events.  It has similarities with the Unix cal command, the more complex GNU
gcal program, and the calendar program distributed with the BSDs.

%prep
%setup -q
sed -i 's/-o\ root//g' src/Makefile
sed -i 's/-o\ root//g' src/convert/Makefile
sed -i 's/G_CONST_RETURN/const/' src/*.c

%build
make DEBUG=1 -C src OPT="$RPM_OPT_FLAGS"

%install
make -C src DESTDIR="$RPM_BUILD_ROOT" install-no-rm
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/example.css COPYING ChangeLog
%config(noreplace) %{_sysconfdir}/pal.conf
%{_bindir}/pal
%{_bindir}/vcard2pal
%{_datadir}/pal
%{_datadir}/man/man1/pal.1.gz
%{_datadir}/man/man1/vcard2pal.1.gz

%changelog

* Mon Aug  8 2011 Martin Cermak <mcermak@redhat.com> 0.4.3-3
- Fixed the FTBFS problem bz715789

* Sun May  1 2011 Martin Cermak <mcermak@redhat.com> 0.4.3-2
- Description modified.
- Standard URL for SF downloads used in Source0 
- Fixed the empty-debuginfo-package error
- License tag fixed (GPLv2 changed to GPLv2+)
- Removed unnecessary -n switch from the setup macro
- Defattr fixed 
- Relevant docs packaged (example.css, COPYING, ChangeLog)


* Tue Apr 19 2011 Martin Cermak <mcermak@redhat.com> 0.4.3-1
- Packaged for Fedora 

